Name: autologin
Version: 1.0.0
Release: alt6
Serial: 1

Summary: Automatically log in
License: GPL
Group: System/Base

Source: %name-%version.tar.bz2
Source1: %name.pamd
Patch: %name-1.0.0-mdk-alt.patch
Patch1: %name-1.1.0-tty-dev.patch
Patch2: %name-1.0.0-alt-doc.patch
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Wed Jan 15 2003
BuildRequires: libpam-devel

%description
Autologin automatically logs in as the user specified in configuration
file, %_sysconfdir/sysconfig/%name, and starts the X session defined there.

%prep
%setup
%patch -p1
%patch1 -p1
%patch2 -p1

%build
%autoreconf
%configure --enable-paranoid
%make_build

%install
%makeinstall_std
install -pDm644 %SOURCE1 %buildroot%_sysconfdir/pam.d/%name

%post
# handle a special case: upgrading ALM2.x installed with autologin
CONFIG="/etc/sysconfig/autologin"
[ -s "$CONFIG" ] \
&& subst 's,^EXEC=/usr/X11R6/bin/startx,EXEC=/usr/bin/startx,' "$CONFIG" \
||:

%files
%_sbindir/*
%config(noreplace) %_sysconfdir/pam.d/*
%doc README AUTHORS

%changelog
* Thu Jan 13 2011 Lenar Shakirov <snejok@altlinux.ru> 1:1.0.0-alt6
- %name-1.0.0-alt-doc.patch: adds info about EXEC_ARGS option

* Fri Apr 02 2010 Lenar Shakirov <snejok@altlinux.ru> 1:1.0.0-alt5
- %name-1.1.0-tty-dev.patch added: get true tty device

* Mon Dec 07 2009 Anton Farygin <rider@altlinux.ru> 1:1.0.0-alt4
- add pam_ck_connector.so (closes #22447)

* Sat Oct 17 2009 Michael Shigorin <mike@altlinux.org> 1:1.0.0-alt3
- added postinstall script to fix legacy configuration for those
  who upgrade from pre-3.0 installations with autologin enabled
  (closes: #21893)

* Wed Dec 03 2008 Michael Shigorin <mike@altlinux.org> 1:1.0.0-alt2
- updated patch to fix build with current gcc/glibc
- removed dead Url:
- me as a Packager:
- minor spec cleanup

* Tue Apr 24 2007 Stanislav Ievlev <inger@altlinux.org> 1:1.0.0-alt1
- update old defaults

* Thu Jan 12 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.0-ipl10mdk.1
- Rebuilt for new style PAM dependencies generated by rpm-build-4.0.4-alt55.

* Thu Apr 14 2005 Stanislav Ievlev <inger@altlinux.org> 1.0.0-ipl10mdk
- Fixed build with fresh autotools.

* Sun Jan 18 2004 Dmitry V. Levin <ldv@altlinux.org> 1.0.0-ipl9mdk
- Blind rebuild.

* Sun Feb 23 2003 Dmitry V. Levin <ldv@altlinux.org> 1.0.0-ipl8mdk
- %%configure --enable-paranoid.

* Wed Jan 15 2003 Stanislav Ievlev <inger@altlinux.ru> 1.0.0-ipl7mdk
- Fix build: use explicit autoconf, automake version.

* Wed Oct 23 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0.0-ipl6mdk
- rebuild with gcc3
- update mdk patch

* Fri Dec 14 2001 Dmitry V. Levin <ldv@altlinux.org> 1.0.0-ipl5mdk
- Switched to pam_stack.

* Tue Feb  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-4mdk
- don't report an error if the user is not set, just exit properly.

* Fri Jan 12 2001 AEN <aen@logic.ru> 1.0.0-ipl4mdk
- RE adaptations

* Wed Oct  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-3mdk
- set path to /usr/X11R6/bin:/usr/local/bin:/bin:/usr/bin (close bug #558).

* Fri Sep 22 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-2mdk
- kill the child when autologin receive SIGTERM to work nicely with init.
- corrected the init of groups.
- log output to /var/log/autologin.log.

* Fri Aug 25 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-1mdk
- first Mandrake rpm

* Mon Aug 14 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial public RPM
